classification
Title: Add inet_ntop and inet_pton support for Windows
Type: enhancement Stage: resolved
Components: Extension Modules Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Steven.Hayter, christian.heimes, ghazel, giampaolo.rodola, honglei.jiang, ishimoto, jason.coombs, kookwekker, pystranger, python-dev
Priority: normal Keywords: easy, patch

Created on 2009-10-19 23:20 by jason.coombs, last changed 2014-03-08 02:38 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
issue7171.patch ishimoto, 2012-07-16 06:25 review
Messages (8)
msg94261 - (view) Author: Jason R. Coombs (jason.coombs) * (Python committer) Date: 2009-10-19 23:20
According to the documentation, Microsoft now supports inet_ntop and
inet_pton
(http://msdn.microsoft.com/en-us/library/cc805843%28VS.85%29.aspx). This
capability should be integrated into the socket module so it is
supported cross-platform.
msg110982 - (view) Author: Greg Hazel (ghazel) Date: 2010-07-21 00:13
In addition, inet_ntop and inet_pton can be implemented on Windows platforms prior to Vista using WSAAddressToStringA and WSAStringToAddressA.
msg165572 - (view) Author: Atsuo Ishimoto (ishimoto) * Date: 2012-07-16 06:25
Implementation of inet_pton and inet_ntop by WSAAddressToStringA and
WSAStringToAddressA for Windows.

Conversion of IPv6 address might fail if IPv6 is 
not installed.

Tested on Windows XP SP3 and Windows7.
msg171560 - (view) Author: (pystranger) Date: 2012-09-29 10:53
I can't do that but I think the stage of the bug should be changed to "patch review" instead of "needs patch".
msg171561 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2012-09-29 11:18
As it's a new feature it must go into 3.4.
msg202550 - (view) Author: Roundup Robot (python-dev) Date: 2013-11-10 19:02
New changeset 17b160baa20f by Atsuo Ishimoto in branch 'default':
Issue #7171: Add Windows implementation of ``inet_ntop`` and ``inet_pton`` to socket module.
http://hg.python.org/cpython/rev/17b160baa20f

New changeset a21f506d04c9 by Jason R. Coombs in branch 'default':
Issue #7171: Update syntax to replace MAX in favor of Py_MAX (matching implementation for Unix).
http://hg.python.org/cpython/rev/a21f506d04c9
msg202555 - (view) Author: Roundup Robot (python-dev) Date: 2013-11-10 19:15
New changeset 31fe38f95c82 by Jason R. Coombs in branch 'default':
Update Misc/NEWS for Issue #7171
http://hg.python.org/cpython/rev/31fe38f95c82
msg212920 - (view) Author: Roundup Robot (python-dev) Date: 2014-03-08 02:38
New changeset f82145a516f0 by R David Murray in branch 'default':
whatsnew: inet_pton/inet_ntop support windows (#7171).
http://hg.python.org/cpython/rev/f82145a516f0
History
Date User Action Args
2014-03-08 02:38:24python-devsetmessages: + msg212920
2013-12-22 20:50:58pitrousetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2013-11-10 19:15:05python-devsetmessages: + msg202555
2013-11-10 19:02:50python-devsetnosy: + python-dev
messages: + msg202550
2012-09-29 11:18:30christian.heimessetversions: + Python 3.4, - Python 3.3
nosy: + christian.heimes

messages: + msg171561

components: + Extension Modules, - Library (Lib)
2012-09-29 10:54:56ezio.melottisetstage: needs patch -> patch review
2012-09-29 10:53:10pystrangersetnosy: + pystranger
messages: + msg171560
2012-07-16 06:25:06ishimotosetfiles: + issue7171.patch

nosy: + ishimoto
messages: + msg165572

keywords: + patch
2011-09-01 18:29:33pitrousetkeywords: + easy
components: + Library (Lib), - Windows, IO
versions: + Python 3.3, - Python 3.2
2011-08-30 08:46:48honglei.jiangsetnosy: + honglei.jiang
2010-07-21 00:13:24ghazelsetmessages: + msg110982
2010-07-20 07:36:49ghazelsetnosy: + ghazel
2010-05-27 19:42:31brian.curtinsetnosy: jason.coombs, giampaolo.rodola, Steven.Hayter, kookwekker
components: + Windows
versions: - Python 2.7
2010-05-27 09:05:31giampaolo.rodolasetnosy: + giampaolo.rodola
2010-05-27 08:22:53kookwekkersetnosy: + kookwekker
2010-02-28 21:45:47Steven.Haytersetnosy: + Steven.Hayter
2010-02-25 20:32:50amaury.forgeotdarcsetstage: needs patch
2009-10-19 23:20:24jason.coombscreate